Bug#608583: Bug#640209: please stop using libnet-irc-perl

Axel Beckert abe at debian.org
Tue Oct 11 23:10:30 UTC 2011


Ansgar Burchardt wrote in http://bugs.debian.org/640209:
> As libnet-irc-perl has been unmaintained since 2004,

You mean "unmaintained upstream"...

> we would like to remove the package from Debian before the wheezy
> release.

Meh! It doesn't have any bugs in Debian (except #608583 of course)
and works smoothly without any issue here for ages.

So I can't really follow why it should be removed. There's quite a lot
of established and well working software in Debian which is
deprecated, unmaintained upstream or even vanished from the upstream

> Please switch to an alternative library such as
> libpoe-component-irc-perl.

I surely won't add POE bloat to the hobbit-plugins IRC bot.

In http://bugs.debian.org/608583 there's also Bot::BasicBot mentioned,
so I'll have a look into libbot-basicbot-perl, but I can neither
promise that the migration will be successful nor that I'll manage to
dig into this anytime soon.

Since the Hobbit IRC bot included in hobbit-plugins is only useful on
Hobbit/Xymon servers and not enabled by default, its (hard)
dependencies are just Suggests in the package.

Nevertheless, that IRC bot is a quite important und intensely used
component of all Hoobit/Xymon servers I know, so I raised the severity
to important and added a blocker like you did for the other bugs of
that severity.

		Regards, Axel
 ,''`.  |  Axel Beckert <abe at debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5

More information about the pkg-perl-maintainers mailing list